/******************************************************************
hstrerrorʤƥΤشؿ
******************************************************************/
#ident "$Id: hstrerror.c 901 2004-12-11 17:57:21Z mkoya $"

#if defined HAVE_CONFIG_H
#   include "config.h"
#endif

#if defined HAVE_NETDB_H
#   include <netdb.h>
#endif

const char *hstrerror(int err)
{
    switch (err){
    case HOST_NOT_FOUND:
	return "Unknown host";
    case NO_ADDRESS:
	return "No address associated with name";
    case NO_RECOVERY:
	return "Unknown server error";
    case TRY_AGAIN:
	return "Host name lookup failure";
    default:
	return "Unknown error";
    }
}

#if defined TEST
#include <stdio.h>
int main(void)
{
    printf("%s\n", hstrerror(HOST_NOT_FOUND));
    printf("%s\n", hstrerror(NO_ADDRESS));
    printf("%s\n", hstrerror(NO_DATA));
    printf("%s\n", hstrerror(NO_RECOVERY));
    printf("%s\n", hstrerror(TRY_AGAIN));
    printf("%s\n", hstrerror(0));
    return 0;
}
#endif
