/******************************************************************
memchrʤƥΤشؿ
******************************************************************/
#ident "$Id: memchr.c 901 2004-12-11 17:57:21Z mkoya $"

#if defined HAVE_CONFIG_H
#   include "config.h"
#endif

#include <stdio.h>

void *memchr(const void *s, int c, size_t n)
{
    const unsigned char *d = s;

    while (n--){
	if (*d == (unsigned char)c) return (void *)d;
	d++;
    }

    return NULL;
}

/***************************************************************
ƥ
***************************************************************/
#if defined TEST
#include <stdio.h>

int main(void)
{
    char dest[10] = "abcdefg";
    char *p;

    p = memchr(dest, 'c', 4);
    printf("%s\n", p);
    p = memchr(dest, 'd', 4);
    printf("%s\n", p);
    p = memchr(dest, 'z', 4);
    if (p) printf("%s\n", p);
    else   printf("NULL\n");
    p = memchr(dest, 'e', 4);
    if (p) printf("%s\n", p);
    else   printf("NULL\n");
    return 0;
}
#endif
