/******************************************************************
mempcpy()ʤƥΤشؿ
******************************************************************/
#ident "$Id: mempcpy.c 901 2004-12-11 17:57:21Z mkoya $"

#if defined HAVE_CONFIG_H
#   include "config.h"
#endif

#include <stdio.h>
#if defined HAVE_SYS_TYPES_H
#   include <sys/types.h>
#endif
#if defined HAVE_STRING_H
#   if !defined STDC_HEADERS && defined HAVE_MEMORY_H
#       include <memory.h>
#   endif
#   include <string.h>
#endif

#ifdef mempcpy
#undef mempcpy
#endif

#include "mempcpy.h"

void *mempcpy(void *to, const void *from, size_t size)
{
    memcpy(to, from, size);
    return (void *)((char *)to+size);
}

#if defined TEST
int main(void)
{
    char buf[100];
    char *p;

    p = mempcpy(mempcpy(buf, "abcdefg", 4), "hijklmn", 5);
    *p = '\0';
    printf("%s\n", buf);
    return 0;
}
#endif
