/******************************************************************
stcasecmp, strncasecmp, strcasestr()ʤƥΤشؿ
******************************************************************/
#ident "$Id: strcase.c 901 2004-12-11 17:57:21Z mkoya $"

#if defined HAVE_CONFIG_H
#   include "config.h"
#endif

#include <stdio.h>
#include <ctype.h>

#include "strcase.h"

int strcasecmp(const char *s1, const char *s2)
{
    int c=0, d=0;

    while (*s1!='\0' && *s2!='\0'){
	c = toupper(*s1);
	d = toupper(*s2);
	if (c!=d) return c-d;
	s1++;
	s2++;
    }

    return *s1-*s2;
}

int strncasecmp(const char *s1, const char *s2, size_t n)
{
    int c=0, d=0;

    if (n==0) return 0;

    while (*s1!='\0' && *s2!='\0'){
	c = toupper(*s1);
	d = toupper(*s2);
	n--;
	if (c!=d || n==0) return c-d;
	s1++;
	s2++;
    }

    return *s1-*s2;
}

#if defined TEST
char *strcpy(char *, char *);

int main(void)
{
    char s1[100];
    char s2[100];

    strcpy(s1, "ABC");
    strcpy(s2, "abc");
    printf("%s, %s => %d\n", s1, s2, strcasecmp(s1, s2));
    strcpy(s1, "ABC");
    strcpy(s2, "abd");
    printf("%s, %s => %d\n", s1, s2, strcasecmp(s1, s2));
    strcpy(s1, "ABCd");
    strcpy(s2, "abC");
    printf("%s, %s => %d\n", s1, s2, strcasecmp(s1, s2));
    strcpy(s1, "ABC");
    strcpy(s2, "abc");
    printf("%s, %s => %d\n", s1, s2, strncasecmp(s1, s2, 2));
    strcpy(s1, "ABC");
    strcpy(s2, "abd");
    printf("%s, %s => %d\n", s1, s2, strncasecmp(s1, s2, 2));
    strcpy(s1, "ABCd");
    strcpy(s2, "acC");
    printf("%s, %s => %d\n", s1, s2, strncasecmp(s1, s2, 2));
    strcpy(s1, "ABCd");
    strcpy(s2, "abC");
    printf("%s, %s => %d\n", s1, s2, strncasecmp(s1, s2, 5));
    strcpy(s1, "bBCd");
    strcpy(s2, "abC");
    printf("%s, %s => %d\n", s1, s2, strncasecmp(s1, s2, 0));
    strcpy(s1, "bBCd");
    strcpy(s2, "AbC");
    printf("%s, %s => %d\n", s1, s2, strncasecmp(s1, s2, 1));
    return 0;
}
#endif
