/******************************************************************
strerror()ʤƥΤشؿ
******************************************************************/
#ident "$Id: strerror.c 901 2004-12-11 17:57:21Z mkoya $"

#if defined HAVE_CONFIG_H
#   include "config.h"
#endif

#include <stdio.h>
#if defined HAVE_SYS_TYPES_H
#   include <sys/types.h>
#endif

char *strerror(int errnum);

extern const char * const sys_errlist[];
extern int sys_nerr;
char *strerror(int errnum)
{
    if (errnum >= 0 && errnum < sys_nerr)
	return (char *)sys_errlist[errnum];
    return "Unknown system error";
}

#if defined TEST
int main(void)
{
    int n;

    printf("sys_nerr = %d\n", sys_nerr);
    for (n=0; n<=sys_nerr; n++){
	char *p = strerror(n);
	if (p) printf("%d: %s\n", n, p);
	else   printf("***********\n");
    }
    return 0;
}
#endif
