/******************************************************************
strndup()ʤƥΤشؿ
******************************************************************/
#ident "$Id: strndup.c 901 2004-12-11 17:57:21Z mkoya $"

#if defined HAVE_CONFIG_H
#   include "config.h"
#endif

#include <stdio.h>
#if defined HAVE_SYS_TYPES_H
#   include <sys/types.h>
#endif
#if defined STDC_HEADERS  
#   include <stdlib.h>
#   include <stddef.h>
#else
#   if defined HAVE_STDLIB_H
#       include <stdlib.h>
#    endif
#   if !defined HAVE_STRCHR
#       define strchr index
#       define strrchr rindex
#   endif
char *strchr(const char *string, int c), *strrchr(const char *string, int c);
#   if !defined HAVE_MEMCPY
#       define memcpy(d, s, n) bcopy((s), (d), (n))
#       define memmove(d, s, n) bcopy((s), (d), (n))
#   elif !defined HAVE_MEMMOVE
#       define memmove(d, s, n) memcpy((d), (s), (n))
#   endif
#endif
#if defined HAVE_STRING_H
#   if !defined STDC_HEADERS && defined HAVE_MEMORY_H
#       include <memory.h>
#   endif
#   include <string.h>
#endif
#if defined HAVE_STRINGS_H
#    include <strings.h>
#endif

#ifdef strndup
#   undef strndup
#endif

#include "strndup.h"

char *strndup(const char *s, size_t size);

/*
 ssizeĹ, sizeʸԡnullüĤ롣
 ǤʤƤʸ򥳥ԡ, ʸü롣
 strncpyȰäƤĤʸü롣
 */
char *strndup(const char *s, size_t size)
{
    int len = strlen(s);
    char *p;

    if (len>size){
	p = malloc(size+1);
	if (p==NULL) return NULL;
	strncpy(p, s, size);
	p[size] = '\0';
    }
    else{
	p = malloc(len+1);
	if (p==NULL) return NULL;
	strcpy(p, s);
    }
    return p;
}

#if defined TEST
int main(void)
{
    char *p;

    p = strndup("abcdefghijklmnopq", 10);
    printf("%s\n", p);
    return 0;
}
#endif
