/******************************************************************
vsnprintf()ʤƥΤشؿ
******************************************************************/
#ident "$Id: vsnprintf.c 901 2004-12-11 17:57:21Z mkoya $"

#if defined HAVE_CONFIG_H
#   include "config.h"
#endif

#include <stdio.h>
#if defined HAVE_SYS_TYPES_H
#   include <sys/types.h>
#endif
#if defined STDC_HEADERS
#   include <stdlib.h>
#   include <stdarg.h>
#   define VA_START(args, lastarg) va_start(args, lastarg)
#else
#   include <varargs.h>
#   define VA_START(args, lastarg) va_start(args)
#endif
#if defined HAVE_STRING_H
#   if !defined STDC_HEADERS && defined HAVE_MEMORY_H
#       include <memory.h>
#   endif
#   include <string.h>
#endif

int vsnprintf(char *s, size_t size, const char *template, va_list ap);

int vsnprintf(char *s, size_t size, const char *template, va_list ap)
{
    vsprintf(s, template, ap);
    return strlen(s);
}

#if defined TEST
static int k_snprintf(char *s, size_t size, const char *template, ...)
{
    va_list ap;
    int len;

    va_start(ap, template);
    len = vsnprintf(s, size, template, ap);
    va_end(ap);

    return len;
}

int main(void)
{
    char buf[100];
    int len;

    len = k_snprintf(buf, 10, "%s %d", "abcdefg", 1000000);

    printf("%d: %s\n", len, buf);
    return 0;
}
#endif
